/**
 * Hoofbaby -- http://www.dsource.org/projects/hoofbaby
 * Copyright (C) 2009 Robert Fraser
 * 
 * This program is free software; you can redistribute it andor
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

module hoofbaby.app.main;

// Imports for whole program (just link to them)
import tango.stdc.stdarg; // Must be linked in to prevent strange linker errors
debug import tango.core.stacktrace.TraceExceptions;
import NONE = hoofbaby.codec.libav.mingw;

import hoofbaby.app.libs;

version = Codec_Adhoc;
version(Codec_Adhoc)       import hoofbaby.app.codec_adhoc;
else version(Server_Adhoc) import Platinum = hoofbaby.platinum.platif;
else                       static assert(false);


public int main(char[][] args)
{
	initLibs();
	version(Codec_Adhoc) return codec_main();
	else                 return Platinum.mimeOnFire(`D:\Media\Videos`);
}